# synfig::BezHull Struct Reference

`#include <curve_helper.h>`

List of all members.

## Public Member Functions

void | Bound (const etl::bezier< Point > &b)

## Public Attributes

Point | p [4]
int | size

## Member Function Documentation

void BezHull::Bound | ( | const etl::bezier< Point > & | b | ) |

References synfig::line_point_distsq(), synfig::Vector::mag_squared(), p, and size.

## Member Data Documentation

Point synfig::BezHull::p[4]

Referenced by Bound(), and synfig::intersect().

int synfig::BezHull::size

Referenced by Bound(), and synfig::intersect().

The documentation for this struct was generated from the following files:

- curve_helper.h
- curve_helper.cpp